Clients
Get Client
GET
/
clients
/
{client_id}
Get Client
curl --request GET \
--url https://vinmake-erp.onrender.com/clients/{client_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://vinmake-erp.onrender.com/clients/{client_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vinmake-erp.onrender.com/clients/{client_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"country": "<string>",
"maxAccountValue": 123,
"currency": "<string>",
"paymentTerms": "<string>",
"contacts": [
{
"id": "<string>",
"contactName": "<string>",
"email": "<string>",
"phoneNumber": "<string>",
"countryCode": "<string>",
"platforms": [
{
"platform": "<string>",
"handle": "<string>"
}
]
}
],
"bankDetails": {
"accountCountry": "<string>",
"accountCurrency": "<string>",
"accountHolderType": "<string>",
"transferMethod": "<string>",
"swiftCode": "<string>",
"bankAccountNumber": "<string>",
"accountHolderName": "<string>",
"intermediarySwiftCode": "<string>",
"recipientNickname": "<string>",
"recipientEmail": "<string>",
"recipientCountry": "<string>",
"recipientAddress": "<string>",
"recipientCity": "<string>",
"recipientPostalCode": "<string>",
"recipients": [
{
"recipientNickname": "<string>",
"recipientEmail": "<string>",
"recipientCountry": "<string>",
"recipientAddress": "<string>",
"recipientCity": "<string>",
"recipientPostalCode": "<string>"
}
],
"shippingPickupDetails": [
{
"label": "<string>",
"type": "<string>",
"address": "<string>",
"contactName": "<string>",
"phoneNumber": "<string>",
"notes": "<string>"
}
]
},
"contractFile": {
"fileName": "<string>",
"fileUrl": "<string>",
"fileSize": 123,
"contentType": "<string>",
"uploadedAt": "<string>"
},
"ordersCount": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Response
Successful Response
Schema for client response - uses camelCase per API_STANDARDS
Available options:
high, medium, low Show child attributes
Show child attributes
Bank account and recipient details stored as JSON.
Show child attributes
Show child attributes
Uploaded client contract metadata stored as JSON.
Show child attributes
Show child attributes
⌘I
Get Client
